> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/da/remote-desktop-manager-powershell/powershell-scripting/list-of-property-names-for-powershell-script.md).

# List of property names for PowerShell script

Find Remote Desktop Manager egenskab navne for PowerShell scripts af comparing exported post XML før og efter ændringer, eller ved hjælp af Get-Member.

Vi er often asked for en fuld liste af egenskab navne og den er hård til at angive for flere årsager. flest effective approach remains examining XML structure af en relevant post til ascertain feltet navne.

### Reverse engineering en post's structure

1. Opret en post af needed type, tilføj kun obligatorisk data ved denne klokkeslæt. Click ***OK*** at gemme posten.
2. Rettighed-click posten, derefter brug ***Clipboard – Copy***.
3. I dialogen at appears, switch til ***Preview*** fane, copy XML structure til en tekst fil. Denne er BEFORE.
4. Manuelt perform ændringen til posten at skal være automated ved hjælp af PowerShell, save posten.
5. Ved hjælp af ***Clipboard – Copy***, save ændret XML til en anden fil. Denne er AFTER.
6. Compare to filer med en forskel værktøj, felterne at har ændret og værdierne at er blevet tildelt vil indicate hvad scriptet bør gør.

{% hint style="info" %}
Få mere at vide flere om [Remote Desktop Manager legitimationsoplysning egenskaber GUIDs](/powershell/da/remote-desktop-manager-powershell/essential-information-about-credential-property-guids-in-remote-desktop-manager.md) og [Devolutions Server legitimationsoplysning egenskaber GUIDs](/powershell/da/devolutions-server-powershell/essential-information-about-credential-property-guids-in-devolutions-server.md).
{% endhint %}

### Tips og tricks

* For at finde egenskaber og stier, reverse engineer sessionen XML fil format. Create en eksempel session i Remote Desktop Manager og eksport den ved hjælp af rettigheden click menu ***Import/Eksport – Eksport Session (.rdm)***. Én gang exported, open.rdm fil med en editor. Browse XML structure at finde egenskaben sti og navn.
* For at vise alle egenskaber af en post, pipe sessionen objekt til Get-Member cmdlet.

```powershell
$session = Get-RDMSession -Name "MyRDPSession"
$session | Get-Member
```

#### Se også

* [Devolutions Academy – Work with list of property names for PowerShell script and custom reports](https://academy.devolutions.net/student/page/2849045-work-with-list-of-property-names-for-powershell-script-and-custom-reports?curriculum_activity_id=4343923\&path_id=2628397\&sid=3dc8eec6-00a5-4443-ad91-950b3aac7dff\&sid_i=0)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/da/remote-desktop-manager-powershell/powershell-scripting/list-of-property-names-for-powershell-script.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
